diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/domain_constraints/static/js/domain_constraints.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/domain_constraints/static/js/domain_constraints.js
index 59e7dd1fd..b43acf94e 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/domain_constraints/static/js/domain_constraints.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/domain_constraints/static/js/domain_constraints.js
@@ -118,12 +118,13 @@ define('pgadmin.node.domain_constraints', [
 
           if (_.isUndefined(this.get('name')) || String(this.get('name')).replace(/^\s+|\s+$/g, '') == '') {
             err['name'] = gettext('Name cannot be empty.');
-            errmsg = errmsg || err['name'];
+            errmsg = err['name'];
           }
 
           if (_.isUndefined(this.get('consrc')) || String(this.get('consrc')).replace(/^\s+|\s+$/g, '') == '') {
             err['consrc'] = gettext('Check cannot be empty.');
             errmsg = errmsg || err['consrc'];
+
           }
 
           this.errorModel.clear().set(err);
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/static/js/domain.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/static/js/domain.js
index ca3b11d38..9f4f1754b 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/static/js/domain.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/static/js/domain.js
@@ -296,7 +296,7 @@ define('pgadmin.node.domain', [
 
           if (_.isUndefined(this.get('name')) || String(this.get('name')).replace(/^\s+|\s+$/g, '') == '') {
             err['name'] = gettext('Name cannot be empty.');
-            errmsg = errmsg || err['name'];
+            errmsg = err['name'];
           }
 
           if (_.isUndefined(this.get('basetype')) || String(this.get('basetype')).replace(/^\s+|\s+$/g, '') == '') {
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/static/js/foreign_table.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/static/js/foreign_table.js
index 081855a69..1b79cd5c6 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/static/js/foreign_table.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/static/js/foreign_table.js
@@ -341,48 +341,47 @@ define('pgadmin.node.foreign_table', [
         url = 'get_columns',
         m = self.model.top || self.model;
 
-      if (url) {
-        var node = this.field.get('schema_node'),
-          node_info = this.field.get('node_info'),
-          full_url = node.generate_url.apply(
-            node, [
-              null, url, this.field.get('node_data'),
-              this.field.get('url_with_id') || false, node_info,
-            ]),
-          cache_level = this.field.get('cache_level') || node.type,
-          cache_node = this.field.get('cache_node');
-
-        cache_node = (cache_node && pgBrowser.Nodes['cache_node']) || node;
-
-        m.trigger('pgadmin:view:fetching', m, self.field);
-        var data = {attrelid: table_id};
-
-        // Fetching Columns data for the selected table.
-        $.ajax({
-          async: false,
-          url: full_url,
-          data: data,
+      var node = this.field.get('schema_node'),
+        node_info = this.field.get('node_info'),
+        full_url = node.generate_url.apply(
+          node, [
+            null, url, this.field.get('node_data'),
+            this.field.get('url_with_id') || false, node_info,
+          ]),
+        cache_level = this.field.get('cache_level') || node.type,
+        cache_node = this.field.get('cache_node');
+
+      cache_node = (cache_node && pgBrowser.Nodes['cache_node']) || node;
+
+      m.trigger('pgadmin:view:fetching', m, self.field);
+      var data = {attrelid: table_id};
+
+      // Fetching Columns data for the selected table.
+      $.ajax({
+        async: false,
+        url: full_url,
+        data: data,
+      })
+        .done(function(res) {
+        /*
+         * We will cache this data for short period of time for avoiding
+         * same calls.
+         */
+          data = cache_node.cache(url, node_info, cache_level, res.data);
+
         })
-          .done(function(res) {
-          /*
-           * We will cache this data for short period of time for avoiding
-           * same calls.
-           */
-            data = cache_node.cache(url, node_info, cache_level, res.data);
-
-          })
-          .fail(function() {
-            m.trigger('pgadmin:view:fetch:error', m, self.field);
-          });
-        m.trigger('pgadmin:view:fetched', m, self.field);
-
-        // To fetch only options from cache, we do not need time from 'at'
-        // attribute but only options.
-        //
-        // It is feasible that the data may not have been fetched.
-        data = (data && data.data) || [];
-        return data;
-      }
+        .fail(function() {
+          m.trigger('pgadmin:view:fetch:error', m, self.field);
+        });
+      m.trigger('pgadmin:view:fetched', m, self.field);
+
+      // To fetch only options from cache, we do not need time from 'at'
+      // attribute but only options.
+      //
+      // It is feasible that the data may not have been fetched.
+      data = (data && data.data) || [];
+      return data;
+
     },
   });
 
@@ -440,7 +439,7 @@ define('pgadmin.node.foreign_table', [
 
       if (_.isUndefined(this.get('conname')) || String(this.get('conname')).replace(/^\s+|\s+$/g, '') == '') {
         err['conname'] = gettext('Constraint Name cannot be empty.');
-        errmsg = errmsg || err['conname'];
+        errmsg = err['conname'];
       }
 
       if (_.isUndefined(this.get('consrc')) || String(this.get('consrc'))
@@ -657,7 +656,7 @@ define('pgadmin.node.foreign_table', [
 
           if (_.isUndefined(this.get('name')) || String(this.get('name')).replace(/^\s+|\s+$/g, '') == '') {
             err['name'] = gettext('Name cannot be empty.');
-            errmsg = errmsg || err['name'];
+            errmsg = err['name'];
           }
 
           if (_.isUndefined(this.get('basensp')) || String(this.get('basensp'))
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/static/js/function.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/static/js/function.js
index e6c76eb5d..a8a4f7b20 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/static/js/function.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/static/js/function.js
@@ -367,7 +367,7 @@ define('pgadmin.node.function', [
 
           if (_.isUndefined(this.get('name')) || String(this.get('name')).replace(/^\s+|\s+$/g, '') == '') {
             err['name'] = gettext('Name cannot be empty.');
-            errmsg = errmsg || err['name'];
+            errmsg = err['name'];
           }
 
           if (_.isUndefined(this.get('funcowner')) || String(this.get('funcowner')).replace(/^\s+|\s+$/g, '') == '') {
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/static/js/procedure.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/static/js/procedure.js
index 5ea171678..a47d9b3ce 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/static/js/procedure.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/static/js/procedure.js
@@ -166,7 +166,7 @@ define('pgadmin.node.procedure', [
 
           if (_.isUndefined(this.get('name')) || String(this.get('name')).replace(/^\s+|\s+$/g, '') == '') {
             err['name'] = gettext('Name cannot be empty.');
-            errmsg = errmsg || err['name'];
+            errmsg = err['name'];
           }
 
           if (_.isUndefined(this.get('pronamespace')) || String(this.get('pronamespace')).replace(/^\s+|\s+$/g, '') == '') {
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/static/js/trigger_function.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/static/js/trigger_function.js
index 64d01a5ac..edd48fbd1 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/static/js/trigger_function.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/static/js/trigger_function.js
@@ -276,7 +276,7 @@ define('pgadmin.node.trigger_function', [
 
           if (_.isUndefined(this.get('name')) || String(this.get('name')).replace(/^\s+|\s+$/g, '') == '') {
             err['name'] = gettext('Name cannot be empty.');
-            errmsg = errmsg || err['name'];
+            errmsg = err['name'];
           }
 
           if (_.isUndefined(this.get('funcowner')) || String(this.get('funcowner')).replace(/^\s+|\s+$/g, '') == '') {
